[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[project]
name = "modal_comfyui"
version = "1.0.0"
requires-python = ">=3.10"
dependencies = [
    "fastapi[standard]==0.115.4",
    "cos-python-sdk-v5",
    "sqlalchemy",
    "ultralytics",
    "tencentcloud-sdk-python",
    "pymysql",
    "Pillow",
    "ffmpy",
    "opencv-python",
    "av",
    "imageio",
    "loguru",
    "openai-whisper",
    "sentry-sdk",
    "pydantic",
    "pydantic_settings",
    "conformer==0.3.2",
    "einops>0.6.1"
]